<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Services;

use App\Repositories\Contracts\RhawnRawRepository;
use App\Repositories\Enums\ResponseCodeEnum;
use Illuminate\Support\Facades\DB;

class RhawnChemicalsService
{
    public $rhawnRawRepository = null;

    public function __construct(RhawnRawRepository $rhawnRawRepository)
    {
        $this->rhawnRawRepository = $rhawnRawRepository;
    }

    /**
     * @param int $offset
     * @param int $limit
     */
    public function getChemicalRawList($offset = 0, $limit = 100)
    {
        $rawList = $this->rhawnRawRepository->getRawProductList($limit, $offset);
        return $rawList;
    }

    public function getChemicalPackage($rawIds)
    {
        $packageList = $this->rhawnRawRepository->getProductPackage($rawIds);
        return $packageList;
    }
}
