<?php

namespace App\Support\Traits;

use Illuminate\Support\Str;

trait HttpClientHelpers
{

    protected function getPostClient($uri, $paramsBody, $auth = null, $json = true)
    {
        $client = app(\GuzzleHttp\Client::class);
        $options = [];

        if($json) {
           $options['headers'] = [
               'Content-type'=> 'application/json',
               "Accept" => "application/json"
           ];
           $options['json'] = $paramsBody;
        }
        else{
            $options['form_params'] = $paramsBody;
        }

        if($auth && is_array($auth)){
            $options['auth'] = $auth;
        }

        $options['debug'] = env('API_DEBUG');

        $response = $client->request('post',$uri,$options);
        return $response->getBody()->getContents();
    }
}
