<?php

namespace App\Support\Traits;

use longlang\phpkafka\Consumer\ConsumerConfig;
use longlang\phpkafka\Producer\ProducerConfig;

trait KafkaConfigHelpers
{

    public function getProducerConfig($config)
    {
        $kafkaConfig = app(ProducerConfig::class);
        $kafkaConfig->setBootstrapServer($config['host'].":".$config['port']);
        $kafkaConfig->setUpdateBrokers(true);
        $kafkaConfig->setAcks(-1);

        return $kafkaConfig;
    }

    public function getConsumerConfig($config)
    {
        $kafkaConfig = new ConsumerConfig();
        $kafkaConfig->setBroker([$config['host'].":".$config['port']]);
        $kafkaConfig->setTopic($config['topic']); // 主题名称
        $kafkaConfig->setGroupId($config['groupid']); // 分组ID
        $kafkaConfig->setClientId($config['clientid']); // 客户端ID
        $kafkaConfig->setGroupInstanceId($config['clientid']); // 分组实例ID

        return $kafkaConfig;
    }

}
